package org.jeecg.modules.ctop.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.lettuce.core.dynamic.annotation.Param;
import org.jeecg.modules.ctop.entity.TransferAccount;

import java.util.List;

/**
 * 转户记录表
 *
 * @author: jeecg-boot
 * @date: 2020-03-26
 * @cersion: V1.0
 */
public interface TransferAccountMapper extends BaseMapper<TransferAccount> {

    List<TransferAccount> getAccountQuarterDetail(@Param(value = "accountId") Long accountId, @Param(value = "startDate") String startDate, @Param(value = "endDate") String endDate);

}
