package org.jeecg.modules.orderplatform.mapper;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.orderplatform.entity.PlatformMaterial;

import java.util.List;

/**
 * 物料审批流程
 * @author: jeecg-boot
 * @date:   2020-11-10
 * @cersion: V1.0
 */
public interface PlatformMaterialMapper extends BaseMapper<PlatformMaterial> {

    List<JSONObject> queryMaterialsByDesignUserId(@Param("materialStatus") JSONArray materialStatus, @Param("designUserId") String designUserId);

    List<JSONObject> queryMaterialsByOperatorUserId(@Param("operatorUserId") String designUserId);

    JSONObject queryScriptDetailById(@Param("scriptId") String scriptId);

    JSONObject queryVideoDetailById(@Param("videoId") String videoId);

}
