package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 自定义表单存储数据
 * @author jeecg-boot
 * @date   2020-08-25
 * @version V1.0
 */
@Data
@TableName("ctop_act_form_data")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ActFormData {

	@TableId(type = IdType.AUTO)
	private Long id;
	private Long formId;
	private String userId;
	private String bussinessId;
	private String content;
	private Integer status;
	private Date createTime;
	private Date updateTime;
}
