package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouImage;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 快手-本地图片保存
 * @Author: jeecg-boot
 * @Date: 2019-08-14
 * @Version: V1.0
 */
public interface IKuaiShouImageService extends IService<KuaiShouImage> {

    void insert(JSONObject requestJson) throws Exception;

    String localInsert(JSONObject imageJson);

    JSONArray selectImageList(QueryWrapper<KuaiShouImage> queryWrapper);
}
