package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouTemplate;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 快手-定向模板
 * @Author: jeecg-boot
 * @Date: 2020-11-09
 * @Version: V1.0
 */
public interface IKuaishouTemplateService extends IService<KuaishouTemplate> {

    void getTemplateByAccountId(Long accountId, String accessToken, Integer page);

    JSONObject createTemplate(Long accountId, String accessToken, JSONObject requestJson);


    JSONObject updateTemplate(Long accountId, String accessToken, JSONObject requestJson);
}
