package cn.com.ctop.performanceappraisal.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class UserPerformanceDetailVO implements Serializable {
    /**
     * 姓名
     */
    private String realName;
    /**
     * 个人总消耗
     */
    private BigDecimal totalPersonalCost;
    /**
     * 快手总消耗
     */
    private BigDecimal kuaishouPersonalCost;
    /**
     * 头条总消耗
     */
    private BigDecimal bytedancePersonalCost;
    /**
     * 媒体总消耗
     */
    private BigDecimal totalMediaCost;
    /**
     * 快手媒体总消耗
     */
    private BigDecimal kuaishouMediaCost;
    /**
     * 头条总消耗
     */
    private BigDecimal bytedanceMediaCost;
    /**
     * 媒体任务
     */
    private BigDecimal totalMediaTask;
    /**
     * 快手媒体任务
     */
    private BigDecimal kuaishouMediaTask;
    /**
     * 头条媒体任务
     */
    private BigDecimal bytedanceMediaTask;
    /**
     * 个人季度任务
     */
    private BigDecimal totalPersonalTask;
    /**
     * 个人快手季度任务
     */
    private BigDecimal kuaishouPersonalTask;
    /**
     * 个人头条季度任务
     */
    private BigDecimal bytedancePersonalTask;
    /**
     * 年度
     */
    private String year;
    /**
     * 季度
     */
    private String quarter;


    /**
     * 个人提成比例
     */
    private String royaltyRatio;
    /**
     * 快手提成比例
     */
    private BigDecimal kuaishouRoyaltyRatio;
    /**
     * 头条提成比例
     */
    private BigDecimal bytedanceRoyaltyRatio;
    /**
     * 个人总绩效
     */
    private BigDecimal totalRoyalty;
    /**
     * 快手总绩效
     */
    private BigDecimal kuaishouRoyalty;
    /**
     * 头条总绩效
     */
    private BigDecimal bytedanceRoyalty;
}
