package cn.com.ctop.userefficientvideomap.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


@Data
public class AccountDTO implements Serializable {
    private Long projectId;
    private String projectName;
    private String totalCost;  //消耗
    private String accountId;  //账户id
    private String userName;  //优化师
    private String advertiserName;  //广告主名称
    private String authName;  //授权名称
    private BigDecimal cost;
    private String userId;
    private Integer mediaId;
    private Integer quarter;
    private Integer year;
    private String startDate;
    private String endDate;
}
