package cn.com.ctop.common.module.entity;

import cn.com.ctop.common.module.annotation.Dict;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 自定义表单信息
 * @author jeecg-boot
 * @date   2020-08-25
 * @version V1.0
 */
@Data
@TableName("ctop_act_custom_form")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_act_custom_form对象", description="自定义表单信息")
public class ActCustomForm {

	@TableId(type = IdType.AUTO)
	private Long id;
	private String name;
	private String text;
	@Dict(dicCode = "id",dictTable="sys_user",dicText="realname")
	private String userId;
	private Integer status;
	private Date createTime;
	private Date updateTime;
}
