package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 自定义表单字段信息
 * @author jeecg-boot
 * @date   2020-08-25
 * @version V1.0
 */
@Data
@TableName("ctop_act_form_field")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_act_form_field对象", description="自定义表单字段信息")
public class ActFormField {

	@TableId(type = IdType.AUTO)
	private Long id;
	private Long formId;
	private String key;
	private String type;
	private Integer status;
	private Date createTime;
	private Date updateTime;
}
