package cn.com.ctop.common.module.service.impl;

import cn.com.ctop.common.module.entity.Product;
import cn.com.ctop.common.module.mapper.ProductMapper;
import cn.com.ctop.common.module.service.IProductService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 产品表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-09-08
 */
@Service
public class ProductServiceImpl extends ServiceImpl<ProductMapper, Product> implements IProductService {
    @Autowired
    private ProductMapper productMapper;

    @Override
    public String getUserNameByUserId(String userId) {
        return productMapper.getUserNameByUserId(userId);
    }
}
