package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.alarm.modules.service.IAlarmEventSendService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class KuaiShouAlarmRuleHourlyCheckJob {
    @Autowired
    private IAlarmEventSendService alarmEventSendService;

    /**
     * 定时获取成本数据
     *
     * @throws JobExecutionException
     */
    @XxlJob("kuaiShouAlarmRuleHourlyCheckJob")
    public void execute() throws Exception {
        //检查频率 HOUR - 每小时；HALF_HOUR-每半小时
        alarmEventSendService.matchAlarmRules("HOUR");
    }
}

