package cn.com.ctop.accountvideoquarterinfo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 绩效明细_账户下所有视频的季度消耗数据
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-04-13
 */
@Data
@TableName("ctop_performance_account_video_quarter_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_performance_account_video_quarter_info对象", description = "绩效明细_账户下所有视频的季度消耗数据")
public class AccountVideoQuarterInfo {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * accountId
     */
    @Excel(name = "accountId", width = 15)
    @ApiModelProperty(value = "accountId")
    private Long accountId;
    /**
     * projectId
     */
    @Excel(name = "projectId", width = 15)
    @ApiModelProperty(value = "projectId")
    private Long projectId;
    /**
     * projectName
     */
    @Excel(name = "projectName", width = 15)
    @ApiModelProperty(value = "projectName")
    private String projectName;
    /**
     * signature
     */
    @Excel(name = "signature", width = 15)
    @ApiModelProperty(value = "signature")
    private String signature;
    /**
     * designResponsibleName
     */
    @Excel(name = "designResponsibleName", width = 15)
    @ApiModelProperty(value = "designResponsibleName")
    private String designResponsibleName;
    /**
     * designResponsibleId
     */
    @Excel(name = "designResponsibleId", width = 15)
    @ApiModelProperty(value = "designResponsibleId")
    private String designResponsibleId;
    /**
     * planId
     */
    @Excel(name = "planId", width = 15)
    @ApiModelProperty(value = "planId")
    private String planId;
    /**
     * planName
     */
    @Excel(name = "planName", width = 15)
    @ApiModelProperty(value = "planName")
    private String planName;
    /**
     * clipId
     */
    @Excel(name = "clipId", width = 15)
    @ApiModelProperty(value = "clipId")
    private String clipId;
    /**
     * clipName
     */
    @Excel(name = "clipName", width = 15)
    @ApiModelProperty(value = "clipName")
    private String clipName;
    /**
     * shotId
     */
    @Excel(name = "shotId", width = 15)
    @ApiModelProperty(value = "shotId")
    private String shotId;
    /**
     * shotName
     */
    @Excel(name = "shotName", width = 15)
    @ApiModelProperty(value = "shotName")
    private String shotName;
    /**
     * planeId
     */
    @Excel(name = "planeId", width = 15)
    @ApiModelProperty(value = "planeId")
    private String planeId;
    /**
     * planeName
     */
    @Excel(name = "planeName", width = 15)
    @ApiModelProperty(value = "planeName")
    private String planeName;
    /**
     * videoCost
     */
    @Excel(name = "videoCost", width = 15)
    @ApiModelProperty(value = "videoCost")
    private java.math.BigDecimal videoCost;
    /**
     * appType
     */
    @Excel(name = "appType", width = 15)
    @ApiModelProperty(value = "appType")
    private Integer appType;
    /**
     * year
     */
    @Excel(name = "year", width = 15)
    @ApiModelProperty(value = "year")
    private Integer year;
    /**
     * quarter
     */
    @Excel(name = "quarter", width = 15)
    @ApiModelProperty(value = "quarter")
    private Integer quarter;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
