package cn.com.ctop.performanceappraisal.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author jeecg-boot
 */

@Data
public class OptimizerCostDetailVO implements Serializable {
    /**
     * 优化师姓名
     */
    private String realName;
    /**
     * 账户总消耗
     */
    private BigDecimal totalCost;
    /**
     * 年
     */
    private String year;
    /**
     * 季度
     */
    private String quarter;
    /**
     * 总提成
     */
    private BigDecimal totalRoyalty;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 平台类型
     */
    private Integer appType;

    private Long projectId;

    private String projectName;

    private String accountName;
}
